<?php

namespace Gaco\SnapBi\Services;

use Gaco\SnapBi\Enums\ServiceCode;
use Gaco\SnapBi\Support\ResponseBuilder;
use Gaco\SnapBi\Services\Response\TokenResponse;

class TokenService extends AbstractService
{
    protected function createResponseHandler(): TokenResponse
    {
        return new TokenResponse(
            new ResponseBuilder(),
            ServiceCode::TOKEN
        );
    }
}

